ISWCTYPE(3)

NAME
iswctype - wide character classification

SYNOPSIS
#include <wctype.h>

int iswctype(wint_t wc, wctype_t desc);

DESCRIPTION
If wc is a wide character having the character property designated by desc (or in other words: belongs to the character class designated by desc), the iswctype() function returns non-zero. Otherwise it returns zero. If wc is WEOF, zero is returned.

desc must be a character property descriptor returned by the wctype function.

RETURN VALUE
The iswctype() function returns non-zero if the wc has the designated property. Otherwise it returns 0.

CONFORMING TO
C99.

SEE ALSO
iswalnum(3), iswalpha(3), iswblank(3), iswcntrl(3), iswdigit(3), iswgraph(3), iswlower(3), iswprint(3), iswpunct(3), iswspace(3), iswupper(3), iswxdigit(3), wctype(3)

NOTES
The behaviour of iswctype() depends on the LC_CTYPE category of the current locale.